Module java.xml
Package javax.xml.stream.events

## Interface Comment

All Superinterfaces:
  XMLEvent, XMLStreamConstants

    public interface Comment
    extends XMLEvent

An interface for comment events

Since:
  1.6
Version:
  1.0

### Field Summary

### Fields inherited from interface javax.xml.stream.XMLStreamConstants

`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getText()` Return the string data of the comment, returns empty string if it does not exist

### Methods inherited from interface javax.xml.stream.events.XMLEvent

`asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

### Method Detail

#### getText

    String getText()

Return the string data of the comment, returns empty string if it does not exist